{$APPTYPE CONSOLE}
program dbAlias;
uses
  Classes, SysUtils, DB, DBTables, Provider, DBClient;
var
  i: Integer;
  TableNames: TStringList;
  Table: TTable;
  DataSetProvider: TDataSetProvider;
  ClientDataSet: TClientDataSet;
begin
  TableNames := TStringList.Create;
  with TSession.Create(nil) do
  try
    AutoSessionName := True;
    GetTableNames(ParamStr(1), '', True, False, TableNames);
  finally
    Free
  end {TSession};
  Table := TTable.Create(nil);
  DataSetProvider := TDataSetProvider.Create(nil);
  ClientDataSet := TClientDataSet.Create(nil);
  try
    Table.DatabaseName := ParamStr(1);
    for i:=0 to Pred(TableNames.Count) do
    begin
      writeln(Table.TableName);
      Table.TableName := TableNames[i];
      Table.Open;
      DataSetProvider.DataSet := Table;
      ClientDataSet.SetProvider(DataSetProvider);
      ClientDataSet.Open;
      ClientDataSet.SaveToFile(ChangeFileExt(Table.TableName,'.xml'));
      ClientDataSet.Close;
      Table.Close
    end
  finally
    Table.Free
  end
end.
